package com.xzzn.common.enums;

/**
 * ammeter-电表数据类别
 * 
 * @author xzzn
 */
public enum AmmeterCategory
{
    CURRENT_COMB_ACTIVE("1", "当前组合有功电能"),
    CURRENT_COMB_REACTIVE("2", "当前组合无功"),
    A_POWER("3", "A相功率"),
    B_POWER("4", "B相功率"),
    C_POWER("5", "C相功率");

    private final String code;
    private final String info;

    AmmeterCategory(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
