package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsCoolingData;
import com.xzzn.ems.domain.vo.*;

import java.util.List;

/**
 * 单点监控 服务层
 *
 */
public interface ISingleSiteService
{

    public SiteMonitorHomeVo getSiteMonitorDataVo(String siteId);


    public SiteMonitorRunningHeadInfoVo getSiteRunningHeadInfo(String siteId);

    public SiteMonitorRuningInfoVo getRunningGraph(String siteId);

    public List<PcsDetailInfoVo> getPcsDetailInfo(String siteId);

    public List<BMSOverViewVo> getBMSOverView(String siteId);

    public List<BMSBatteryClusterVo> getBMSBatteryCluster(String siteId);

    public List<EmsCoolingData> getCoolingDataList(String siteId);

    public List<BatteryDataStatsListVo> getClusterDataInfoList(String clusterDeviceId,String siteId);

    public AmmeterDataResponse getAmmeterDataList(String siteId);
}
